Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569332 - [DOCS] WARN users against running master services such as etcd on schedulable nodes
Summary: [DOCS] WARN users against running master services such as etcd on schedulable...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.7.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 04:54 UTC by Diane Feddema
Modified: 2018-06-11 00:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-11 00:25:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Diane Feddema 2018-04-19 04:54:06 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/openshift_container_platform/3.7/pdf/installation_and_configuration/OpenShift_Container_Platform-3.7-Installation_and_Configuration-en-US.pdf

Section Number and Name: 
Advanced Installation 
section: Configuring Schedulability on Masters
https://docs.openshift.com/container-platform/3.7/install_config/install/advanced_install.html#marking-masters-as-unschedulable-nodes

Describe the issue: 
I have a 2 node openshift 3.7 cluster which became unresponsive because I was running etcd on the same node as my (ML) machine learning application.  My ML application starved etcd of memory and cpu caused etcd to become "dead" as returned from 
"systemctl status etcd"

Suggestions for improvement: 
Instead of this warning which is currently in the installation guide:
"You can manually set a master host to schedulable during installation using the openshift_schedulable=true host variable, though this is not recommended in 
production environments:"

State that it is "IMPORTANT* not to run etcd and other master services on the same node as user pods. 



Additional information:

Comment 2 Gaurav Nelson 2018-05-16 03:17:33 UTC
Tracking this in https://github.com/openshift/openshift-docs/pull/9293

Comment 3 Gaurav Nelson 2018-05-16 03:21:36 UTC
Thank you  Diane, Can you please look at the changes in PR https://github.com/openshift/openshift-docs/pull/9293. These changes are for OCP 3.3 till OCP 3.7 as we already removed that note from OCP 3.9 docs.

Comment 7 Gaurav Nelson 2018-06-11 00:25:40 UTC
No response form reporter, closing this now.


Note You need to log in before you can comment on or make changes to this bug.